/* MW: tables for conversion from simple to accented national
   characters - Polish version */

#define NUM_ACC 5
#define NUM_SIMPCHARS 22

char accent[] = { 0x11, '"', 0x13, 0x12, 0x14, 0 }; /* ,",^,`,~ */

/* used to find the position within the accented strings */
char simplechars[]     = "aeiouAEIOUnNyYcCsSzZlL";

/* the maching accented characters */
char accentedchars[NUM_ACC][NUM_SIMPCHARS]= { 
/* a     e     i     o     u     A     E     I     O     U    n    N    y    Y    c    C    s    S    z    Z    l    L */
  {0x92, 0xEA, 0x00, 0x93, 0x00, 0x94, 0x7F, 0x00, 0x83, 0x84,0xE8,0xEC,0xe3,0xe4,0x90,0x9D,0x91,0xEE,0x0B,0xEF,0xEB,0xD2},
  {0xb0, 0xb1, 0xb2, 0xb3, 0xb4, 0xa0, 0xa1, 0xa2, 0xa3, 0xa4,0,   0,   0xd8,0,   0,   0,   0,   0,   0xED,0x80,0,   0 },
  {0x9a, 0x9b, 0x9c, 0x9d, 0x9e, 0x8a, 0x8b, 0x8c, 0x8d, 0x8e, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
  {0x95, 0x96, 0x97, 0x98, 0x99, 0x85, 0x86, 0x87, 0x88, 0x89,0,   0,   0,   0,   0xba,0xaa,0,   0,   0,   0,   0,   0 },
  {0xb5, 0, 0, 0xb6, 0, 0xa5, 0, 0, 0xa6, 0, 0xb7, 0xa7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }
}; 

