/*********************************************************
 * modebut.h
 *
 * Copyright (c) Christian Ensel
 *
 * Merlin-Mode-Buttons (and indicators at the same time)
 *********************************************************/

#ifndef MODEBUT_H
#define MODEBUT_H

#include "md.h"
#include "mm.h"
/*
#include "wizard.h"
*/
#include "event.h"


#define NRMODEBUTTONS 3
#define MODEBUTTON_XSIZE 10
#define MODEBUTTON_YSIZE 12
#define MODEBUTTON_OBJ_BASE 0x999A

#define MODEBUTTON_ALPHA 0
#define MODEBUTTON_NUM   1
#define MODEBUTTON_EXT   2

struct _modeButtonsPos {  /* ok Point[] might be better here, but on the other hand, these are not real points, hmm */
    int x[NRMODEBUTTONS]; 
    int y[NRMODEBUTTONS];
};

typedef struct _modeButtonsPos s_modeButtonsPos;


/* refresh displays status after a mode change */
void modeButtonsDisplayMode(); /* t_char_mode char_mode, t_shift_mode shift_mode); */

/* check pen-events and change mode if a mode-button was pressend */
void modeButtonsPenEvent(TCHSTS *tsts);

void modeButtonsInit( s_modeButtonsPos* mbPos );

#endif



